Eventum Logo

Eventum

Generator configsNameRename

Rename Generator Config

Rename generator configuration directory. Instances that use the configuration are repointed at the new directory and must be stopped beforehand.

POST
/generator-configs/{name}/rename

Path Parameters

name*Name

Name of the generator directory

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/generator-configs/string/rename" \  -H "Content-Type: application/json" \  -d '{    "new_name": "string"  }'
[
  "string"
]
Empty
Empty
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
Empty